EditAutoDiscoveryPrepAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.platform.autodiscovery.EditAutoDiscoveryPrepAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.platform.autodiscovery
Class EditAutoDiscoveryPrepAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.WorkflowPrepareAction
                  org.hyperic.hq.ui.action.resource.platform.autodiscovery.NewAutoDiscoveryPrepAction
                      org.hyperic.hq.ui.action.resource.platform.autodiscovery.EditAutoDiscoveryPrepAction

    public class EditAutoDiscoveryPrepAction

extends NewAutoDiscoveryPrepAction

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.resource.platform.autodiscovery.NewAutoDiscoveryPrepAction
`FILESCAN_CFG_UNIX, FILESCAN_CFG_WIN32, FILESCAN_NAME, FILESCAN_UNIX, FILESCAN_WIN32`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`EditAutoDiscoveryPrepAction()`

Method Summary
`protected void` | `loadScanConfig(PlatformAutoDiscoveryForm aForm, javax.servlet.http.HttpServletRequest request)` loads the ScanConfiguration into the form
`org.apache.struts.action.ActionForward` | `workflow(org.apache.struts.tiles.ComponentContext context, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Create the platform with the attributes specified in the given `PlatformForm`.

Methods inherited from class org.hyperic.hq.ui.action.resource.platform.autodiscovery.NewAutoDiscoveryPrepAction
`getConfigResponse, getConfigSchema, getScanMethod`

Methods inherited from class org.hyperic.hq.ui.action.WorkflowPrepareAction
`execute`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditAutoDiscoveryPrepAction

    public EditAutoDiscoveryPrepAction()

Method Detail

### workflow

    public org.apache.struts.action.ActionForward workflow(org.apache.struts.tiles.ComponentContext context,
                                                           org.apache.struts.action.ActionMapping mapping,
                                                           org.apache.struts.action.ActionForm form,
                                                           javax.servlet.http.HttpServletRequest request,
                                                           javax.servlet.http.HttpServletResponse response)
                                                    throws java.lang.Exception

  Create the platform with the attributes specified in the given `PlatformForm`.

  Overrides:
    `workflow` in class `NewAutoDiscoveryPrepAction`
  Throws:
    `java.lang.Exception`

### loadScanConfig

    protected void loadScanConfig(PlatformAutoDiscoveryForm aForm,
                                  javax.servlet.http.HttpServletRequest request)
                           throws java.lang.Exception

  loads the ScanConfiguration into the form

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.